<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CheckAsyncStatusRequest StructType
 * @subpackage Structs
 */
class CheckAsyncStatusRequest extends AbstractStructBase
{
    /**
     * The jobId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $jobId;
    /**
     * Constructor method for CheckAsyncStatusRequest
     * @uses CheckAsyncStatusRequest::setJobId()
     * @param string $jobId
     */
    public function __construct($jobId = null)
    {
        $this
            ->setJobId($jobId);
    }
    /**
     * Get jobId value
     * @return string
     */
    public function getJobId()
    {
        return $this->jobId;
    }
    /**
     * Set jobId value
     * @param string $jobId
     * @return \StructType\CheckAsyncStatusRequest
     */
    public function setJobId($jobId = null)
    {
        // validation for constraint: string
        if (!is_null($jobId) && !is_string($jobId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($jobId, true), gettype($jobId)), __LINE__);
        }
        $this->jobId = $jobId;
        return $this;
    }
}
